Package: groovy.lang

## [Java] Class Tuple2<T1, T2>

- groovy.lang.Tuple2

-     public final class Tuple2<T1, T2>
      extends Tuple

  Represents a list of 2 typed Objects.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple2(T1 v1, T2 v2)`
    `Tuple2(Tuple2<T1, T2> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple2<T1, T2>` | `clone()`
    `` | `public T1` | `getFirst()`
    `` | `public T2` | `getSecond()`
    `` | `public T1` | `getV1()`
    `` | `public T2` | `getV2()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple2(T1 v1, T2 v2)

    - #### public Tuple2(Tuple2<T1, T2> tuple)

  - ### Method Detail

    - #### @Override
      public Tuple2<T1, T2> clone()

    - #### @Deprecated
      public T1 getFirst()

    - #### @Deprecated
      public T2 getSecond()

    - #### public T1 getV1()

    - #### public T2 getV2()